Bug 604459 - growisofs causes system to freeze or reboot
growisofs causes system to freeze or reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 19:27 EDT by Patrick O'Callaghan
Modified: 2010-12-03 08:50 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:50:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick O'Callaghan 2010-06-15 19:27:17 EDT
Description of problem:
On using growisofs to burn a single-layer DVD either via K3B or from the Shell, the system either freezes completely (no mouse or kb response, no response to pings), or spontaneously reboots.

Version-Release number of selected component (if applicable):
dvd+rw-tools-7.1-4.fc12.x86_64 running on updated F13 (no F13 rpm is currently in the stable repos)

How reproducible:
Always. The exact error varies, as is the time it takes to occur.

Steps to Reproduce:
1.Run "growisofs -Z /dev/dvd=some.iso"
2.Watch burning process advance
3.Suddenly see system freeze or reboot
  
Actual results:
Freeze or reboot. DVD coaster.

Expected results:
Usable DVD and no freeze or reboot.

Additional info:

/var/log/messages has multiple (in the 100's) iterations of:

Jun 14 19:03:59 bree kernel: sr 6:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jun 14 19:03:59 bree kernel: sr 6:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Jun 14 19:03:59 bree kernel: Info fld=0x0
Jun 14 19:03:59 bree kernel: sr 6:0:0:0: [sr0] Add. Sense: Logical block address out of range
Jun 14 19:03:59 bree kernel: sr 6:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Jun 14 19:03:59 bree kernel: end_request: I/O error, dev sr0, sector 0
Jun 14 19:03:59 bree kernel: Buffer I/O error on device sr0, logical block 0
Jun 14 19:03:59 bree kernel: Buffer I/O error on device sr0, logical block 1

Using K3B but selecting cdrecord (wodim) as the burning utility, the DVD is burned normally.
Comment 1 Roman Rakus 2010-06-16 07:35:00 EDT
Looks like the problem is in kernel. Which HW are you using?
Comment 2 Patrick O'Callaghan 2010-06-16 09:55:56 EDT
(In reply to comment #1)
> Looks like the problem is in kernel. Which HW are you using?    

Intel D865GLC mobo, Core 2 Duo 6400, 4GB RAM. The optical drive is an LG GSA-4163B-revA104, SCSI
Comment 3 Bug Zapper 2010-11-03 09:10:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:50:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.